/**
 * This file has customizations for the HTML components in the courseUnitDetails2.html page
 */

/**
 * Globals
 */
::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background: #9e0f0f !important;
}
::-webkit-scrollbar-track {
    border-radius: 10px;
    background: #00000033 !important;
}

.btn-primary {
    color: #fff;
    background-color: #C4414A;
    border-color: #7d1c22;
}
.btn-primary:hover {
    color: #fff;
    background-color: #C4414A;
    border-color: #7d1c22;
}
small .under-development {
    display: inline-block;
}

/**
 * Header
 */
.component-header-top-2 .navbar-collapse .nav-item.active.text a {
    color: #C4414A;
}
.component-header-top-2 .navbar-collapse .nav-item.text a.hovered {
    color: #7d1c22;
}

/**
 * Main container
 */ 
.cmc-container {
    top: 80px;
    padding-top: 30px;
    padding-bottom:200px;
}

.page-container {
    min-height: calc(var(--vh, 1vh) * 90);
}

@media(max-width:767px) {
 
    .cmc-container {
        padding-top: 40px;
    }
 
}

/**
 * Sidebar
 */
#componentSidebarCud2 .filter {
    visibility: hidden;
}
#componentSidebarCud2 .sidebar-main-items p {
    color: #7b040a;
}
#componentSidebarCud2 .sidebar-main-items p:hover {
    color: #ffffff;
}

/**
 * Content Expander
 */
.content-expander .cex-header {
    background-color: #C4414A;
    border: 1px solid #7d1c22;
}

.sit-label {
    width: 230px;
    word-break: break-word;
}

@media(max-width:991px) {
 
    #cex2Cud2.content-expander .cex-body {
        top: -40px;
        margin-bottom: -20px;
    }
    
    .sit-label {
        width: 100%;
        max-width: 100%;
    }

}

/**
 * Content Selector
 */
.contents.shelf .content-object .description .title span {
    color: #C4414A;
}
.contents.shelf .content-object .toolbar {
    background-color: #C4414A;
}
.contents.footer {
    background-color: #C4414A;
    border: 1px solid #b93a42;
}

/**
 * Video Selector
 */
.vo.video-source {
    background-color: #C4414A;
    border: 1px solid #C4414A;
}
.vo.video-source div {
    background-color: #C4414A;
    border: 1px dashed #f0f0f0;
}
.vs.footer {
    background-color: #C4414A;
    border: 1px solid #C4414A;
}

/**
 * Questions
 */
.question .heading-3 b {
    display:none;
}
.question .header {
   background-color: #C4414A;
   border: 1px solid #C4414A;
}
.question .header .enunciate p {
   color: #fafafa;
}
.question.tf .header .selector-label span.left, 
.question.tf .header .selector-label b,
.question.tf .header .selector-label span.right, 
.question.tf .body .alternative .selector .left, 
.question.tf .body .alternative .selector .right {
    color: #ffffff;
}
.question .question-status-container{
    color: #C4414A;
}

/**
 * Summary
 */
.img-existing-methods {
    width: 100%;
}
.img-10-mins-contra-dengue {
    max-height: 1000px;
}
.img-10-mins-contra-dengue img {
    height: 100%;
    width: auto;
    margin:0px;
}

/**
 * Simple Message Modal Displayer
 */
.modal-dialog.video .modal-content .modal-body p {
    color: #C4414A;
}

/**
 * Clinical Case - Comics
 */
#problemSituationContainerCud2 {
    overflow: hidden;
}

/**
 * Complementary Materials
 */
#cex5Cud2 .cex-body,
#cex6Cud2 .cex-body,
#cex7Cud2 .cex-body,
#cex8Cud2 .cex-body {
    max-height: 850px;
}
#cex5Cud2 .cex-body,
#cex6Cud2 .cex-body
#cex8Cud2 .cex-body {
    overflow-x: hidden;
    overflow-y: auto;
}
#cex7Cud2 .cex-body {
    overflow: hidden;
}
#cex3Cud2 .content-selector,
#cex5Cud2 .content-selector,
#cex6Cud2 .content-selector,
#cex7Cud2 .video-selector,
#cex8Cud2 .content-selector {
    width: 98%;
    margin-right: 1%;
    margin-left: 1%;
}
.contents.shelf .contents-object-title span {
    font-weight: 500;
    color: #C4414A;
}

/**
 * Evaluation
 */

/**
 * Paginator
 */
 @keyframes uncolorize-prev-next-btns {
    from {
        background-color:#C4414A;
        border:1px solid #7d1c22;
        color: #f0f0f0;
    }
    to {
        background-color:#ffffff;
        border:1px solid #e6e6e6;
        color: #7d1c22;
    }
}
@-moz-keyframes uncolorize-prev-next-btns {
    from {
        background-color:#C4414A;
        border:1px solid #7d1c22;
        color: #f0f0f0;
    }
    to {
        background-color:#ffffff;
        border:1px solid #e6e6e6;
        color: #7d1c22;
    }
}
@-webkit-keyframes uncolorize-prev-next-btns {
    from {
        background-color:#C4414A;
        border:1px solid #7d1c22;
        color: #f0f0f0;
    }
    to {
        background-color:#ffffff;
        border:1px solid #e6e6e6;
        color: #7d1c22;
    }
}
 
@keyframes colorize-prev-next-btns {
    from {
        background-color:#ffffff;
        border:1px solid #C4414A;
        color: #7d1c22;
    }
    to {
        background-color:#C4414A;
        border:1px solid #7d1c22;
        color: #f0f0f0;
    }
}
@-moz-keyframes colorize-prev-next-btns {
    from {
        background-color:#ffffff;
        border:1px solid #C4414A;
        color: #7d1c22;
    }
    to {
        background-color:#C4414A;
        border:1px solid #7d1c22;
        color: #f0f0f0;
    }
}
@-webkit-keyframes colorize-prev-next-btns {
    from {
        background-color:#ffffff;
        border:1px solid #7d1c22;
        color: #7d1c22;
    }
    to {
        background-color:#C4414A;
        border:1px solid #7d1c22;
        color: #f0f0f0;
    }
}
 
@keyframes scale-idx-down-selected {
    from {
        color: #fefefe;
        background-color: #C4414A;
        border-color: #e6e6e6;
        font-size: 23px;
    }
    to {
        color: #ffffff;
        background-color: #C4414A;
        border-color: #7d1c22;
        font-size: 19px;
    }
}
@-moz-keyframes scale-idx-down-selected {
    from {
        color: #fefefe;
        background-color: #C4414A;
        border-color: #e6e6e6;
        font-size: 23px;
    }
    to {
        color: #ffffff;
        background-color: #C4414A;
        border-color: #7d1c22;
        font-size: 19px;
    }
}
@-webkit-keyframes scale-idx-down-selected {
    from {
        color: #fefefe;
        background-color: #C4414A;
        border-color: #e6e6e6;
        font-size: 23px;
    }
    to {
        color: #ffffff;
        background-color: #C4414A;
        border-color: #7d1c22;
        font-size: 19px;
    }
}
 
@keyframes scale-idx-up-selected {
    from {
        color: #ffffff;
        background-color: #C4414A;
        font-size: 19px;
    }
    to {
        color: #fefefe;
        background-color: #C4414A;
        border-color:#7d1c22;
        font-size: 23px;
    }
}
@-moz-keyframes scale-idx-up-selected {
    from {
        color: #ffffff;
        background-color: #C4414A;
        font-size: 19px;
    }
    to {
        color: #fefefe;
        background-color: #C4414A;
        border-color:#7d1c22;
        font-size: 23px;
    }
}
@-webkit-keyframes scale-idx-up-selected {
    from {
        color: #ffffff;
        background-color: #C4414A;
        font-size: 19px;
    }
    to {
        color: #fefefe;
        background-color: #C4414A;
        border-color:#7d1c22;
        font-size: 23px;
    }
}
 
@keyframes scale-idx-down {
    from {
        color: #C4414A;
        font-size: 21px;
    }
    to {
        color: #7d1c22;
        font-size: 16px;
    }
}
@-moz-keyframes scale-idx-down {
    from {
        color: #C4414A;
        font-size: 21px;
    }
    to {
        color: #7d1c22;
        font-size: 16px;
    }
}
@-webkit-keyframes scale-idx-down {
    from {
        color: #C4414A;
        font-size: 21px;
    }
    to {
        color: #7d1c22;
        font-size: 16px;
    }
}
 
@keyframes scale-idx-up {
    from {
        color: #C4414A;
        font-size: 16px;
    }
    to {
        color: #7d1c22;
        font-size: 21px;
    }
}
@-moz-keyframes scale-idx-up {
    from {
        color: #C4414A;
        font-size: 16px;
    }
    to {
        color: #7d1c22;
        font-size: 21px;
    }
}
@-webkit-keyframes scale-idx-up {
    from {
        color: #C4414A;
        font-size: 16px;
    }
    to {
        color: #7d1c22;
        font-size: 21px;
    }
}

/**
 * Mosquito Controlling Tools
 */
#cex2Cud2 .cex-body.expanded {
    max-height: auto;
    overflow-y: auto;
}
#cex2Cud2 .references.centered {
    margin: 15px;
}

.mosquito-controlling-tool .card {
    width: 95%;
    margin-left: 5%;
    height: 390px;
    margin-bottom: 30px;
    padding-top: 45px;
    padding-left: 25px;
    padding-right: 25px;
    padding-bottom: 25px;
    border-radius: 3px;
    
    animation-name: fade-card-out;
    animation-duration: 500ms;
    animation-fill-mode: forwards;

    -webkit-animation-name: fade-card-out;
    -webkit-animation-duration: 500ms;
    -webkit-animation-fill-mode: forwards;

    -moz-animation-name: fade-card-out;
    -moz-animation-duration: 500ms;
    -moz-animation-fill-mode: forwards;
    
    -ms-animation-name: fade-card-out;
    -ms-animation-duration: 500ms;
    -ms-animation-fill-mode: forwards;
}
.mosquito-controlling-tool .card:hover {
    animation-name: fade-card-in;
    animation-duration: 500ms;
    animation-fill-mode: forwards;

    -webkit-animation-name: fade-card-in;
    -webkit-animation-duration: 500ms;
    -webkit-animation-fill-mode: forwards;

    -moz-animation-name: fade-card-in;
    -moz-animation-duration: 500ms;
    -moz-animation-fill-mode: forwards;
    
    -ms-animation-name: fade-card-in;
    -ms-animation-duration: 500ms;
    -ms-animation-fill-mode: forwards;
}
.mosquito-controlling-tool .card .references {
    text-align: center;
}
.mosquito-controlling-tool .card .img-container {
    min-height: 175px;
}
.mosquito-controlling-tool .card .img-container object, 
.mosquito-controlling-tool .card .img-container img {
    display: block;
    width: 40%;
    max-height: 150px;
    margin-left: 30%;
}

.mosquito-controlling-tool .card p {
    height: auto;
    max-height: 135px;
    overflow: auto;
    padding: 10px;
    border: 1px solid #e6e6e6;
    border-bottom-left-radius: 5px;
    border-top-left-radius: 5px;
    background-color: #fff;
}

@media(max-width: 992px) {

    .mosquito-controlling-tool .card {
        height: 400px;    
    }
    .mosquito-controlling-tool .card p {
        max-height: 140px;
        padding-right: 10px;
    }

}

@media(max-width: 767px) {

    #cex2Cud2 .cex-body.expanded {
        max-height: calc(var(--vh, 1vh) * 80);
    }
    .mosquito-controlling-tool .card {
        height: auto !important;    
    }
    .mosquito-controlling-tool .card p {
        max-height: 800px !important;
        background-color: transparent;
        border: 0px solid transparent;
        padding: 0px;
    }
    .mosquito-controlling-tool .card .img-container {     
        min-height: 280;
        margin-bottom: 30px;
    }
    .mosquito-controlling-tool .card .img-container object, 
    .mosquito-controlling-tool .card .img-container img {
        display: block;
        width: 60%;
        height: auto;
        margin: auto;
    }

}

/**
 * Fade card in 
 */
 @keyframes fade-card-in {
    from {
        background-color: #fbfbfb;
        border: 1px dashed #f0f0f0;
        opacity: .9;
        -webkit-box-shadow: 10px 10px 5px 2px rgba(0,0,0,0.1);
        -moz-box-shadow: 10px 10px 5px 2px rgba(0,0,0,0.1);
        box-shadow: 10px 10px 5px 2px rgba(0,0,0,0.1);
    }
    to {
        background-color: #ffffff;
        border: 1px solid #eaeaea;
        opacity: 1;
        -webkit-box-shadow: 10px 10px 6px 0px rgba(0,0,0,0.56);
        -moz-box-shadow: 10px 10px 6px 0px rgba(0,0,0,0.56);
        box-shadow: 10px 10px 6px 0px rgba(0,0,0,0.56);
    }
 }
 @-moz-keyframes fade-card-in {
    from {
        background-color: #fbfbfb;
        border: 1px dashed #f0f0f0;
        opacity: .9;
        -webkit-box-shadow: 10px 10px 5px 2px rgba(0,0,0,0.1);
        -moz-box-shadow: 10px 10px 5px 2px rgba(0,0,0,0.1);
        box-shadow: 10px 10px 5px 2px rgba(0,0,0,0.1);
    }
    to {
        background-color: #ffffff;
        border: 1px solid #eaeaea;
        opacity: 1;
        -webkit-box-shadow: 10px 10px 6px 0px rgba(0,0,0,0.56);
        -moz-box-shadow: 10px 10px 6px 0px rgba(0,0,0,0.56);
        box-shadow: 10px 10px 6px 0px rgba(0,0,0,0.56);
    }
 }
 @-webkit-keyframes fade-card-in {
    from {
        background-color: #fbfbfb;
        border: 1px dashed #f0f0f0;
        opacity: .9;
        -webkit-box-shadow: 10px 10px 5px 2px rgba(0,0,0,0.1);
        -moz-box-shadow: 10px 10px 5px 2px rgba(0,0,0,0.1);
        box-shadow: 10px 10px 5px 2px rgba(0,0,0,0.1);
    }
    to {
        background-color: #ffffff;
        border: 1px solid #eaeaea;
        opacity: 1;
        -webkit-box-shadow: 10px 10px 6px 0px rgba(0,0,0,0.56);
        -moz-box-shadow: 10px 10px 6px 0px rgba(0,0,0,0.56);
        box-shadow: 10px 10px 6px 0px rgba(0,0,0,0.56);
    }
 }

/**
 * Fade card out
 */
 @keyframes fade-card-out {
    from {
        background-color: #ffffff;
        border: 1px solid #eaeaea;
        opacity: 1;
        -webkit-box-shadow: 10px 10px 6px 0px rgba(0,0,0,0.56);
        -moz-box-shadow: 10px 10px 6px 0px rgba(0,0,0,0.56);
        box-shadow: 10px 10px 6px 0px rgba(0,0,0,0.56);
    }
    to {
        background-color: #fbfbfb;
        border: 1px dashed #f0f0f0;
        opacity: .9;
        -webkit-box-shadow: 10px 10px 5px 2px rgba(0,0,0,0.1);
        -moz-box-shadow: 10px 10px 5px 2px rgba(0,0,0,0.1);
        box-shadow: 10px 10px 5px 2px rgba(0,0,0,0.1);
    }
 }
 @-moz-keyframes fade-card-out {
    from {
        background-color: #ffffff;
        border: 1px solid #eaeaea;
        opacity: 1;
        -webkit-box-shadow: 10px 10px 6px 0px rgba(0,0,0,0.56);
        -moz-box-shadow: 10px 10px 6px 0px rgba(0,0,0,0.56);
        box-shadow: 10px 10px 6px 0px rgba(0,0,0,0.56);
    }
    to {
        background-color: #fbfbfb;
        border: 1px dashed #f0f0f0;
        opacity: .9;
        -webkit-box-shadow: 10px 10px 5px 2px rgba(0,0,0,0.1);
        -moz-box-shadow: 10px 10px 5px 2px rgba(0,0,0,0.1);
        box-shadow: 10px 10px 5px 2px rgba(0,0,0,0.1);
    }
 }
 @-webkit-keyframes fade-card-out {
    from {
        background-color: #ffffff;
        border: 1px solid #eaeaea;
        opacity: 1;
        -webkit-box-shadow: 10px 10px 6px 0px rgba(0,0,0,0.56);
        -moz-box-shadow: 10px 10px 6px 0px rgba(0,0,0,0.56);
        box-shadow: 10px 10px 6px 0px rgba(0,0,0,0.56);
    }
    to {
        background-color: #fbfbfb;
        border: 1px dashed #f0f0f0;
        opacity: .9;
        -webkit-box-shadow: 10px 10px 5px 2px rgba(0,0,0,0.1);
        -moz-box-shadow: 10px 10px 5px 2px rgba(0,0,0,0.1);
        box-shadow: 10px 10px 5px 2px rgba(0,0,0,0.1);
    }
 }